diff --git a/bootstrap/ssr/assets/Index-C_tatM_5.js b/bootstrap/ssr/assets/Index-C2xs4B1_.js
similarity index 97%
rename from bootstrap/ssr/assets/Index-C_tatM_5.js
rename to bootstrap/ssr/assets/Index-C2xs4B1_.js
index 53b0198..d7d13fa 100644
--- a/bootstrap/ssr/assets/Index-C_tatM_5.js
+++ b/bootstrap/ssr/assets/Index-C2xs4B1_.js
@@ -1,10 +1,10 @@
 import { Link, Head } from "@inertiajs/vue3";
-import { I as Icon, L as Layout } from "./Layout-BBEotTc3.js";
+import { I as Icon, L as Layout } from "./Layout-p-cBGERf.js";
 import pickBy from "lodash/pickBy.js";
 import throttle from "lodash/throttle.js";
 import mapValues from "lodash/mapValues.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
-import { S as SearchInput } from "./SearchInput-C_XTi4w8.js";
+import { S as SearchInput } from "./SearchInput-DlyU-0R8.js";
 import { resolveComponent, mergeProps, withCtx, createVNode, toDisplayString, createTextVNode, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderList } from "vue/server-renderer";
 import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
diff --git a/bootstrap/ssr/assets/Index-CrPt6GQh.js b/bootstrap/ssr/assets/Index-CZIGWX8-.js
similarity index 99%
rename from bootstrap/ssr/assets/Index-CrPt6GQh.js
rename to bootstrap/ssr/assets/Index-CZIGWX8-.js
index 4100d73..a70a706 100644
--- a/bootstrap/ssr/assets/Index-CrPt6GQh.js
+++ b/bootstrap/ssr/assets/Index-CZIGWX8-.js
@@ -1,10 +1,10 @@
 import { Head, Link } from "@inertiajs/vue3";
-import { I as Icon, S as SelectInput, L as Layout } from "./Layout-BBEotTc3.js";
+import { I as Icon, S as SelectInput, L as Layout } from "./Layout-p-cBGERf.js";
 import pickBy from "lodash/pickBy.js";
 import throttle from "lodash/throttle.js";
 import mapValues from "lodash/mapValues.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
-import { S as SearchInput } from "./SearchInput-C_XTi4w8.js";
+import { S as SearchInput } from "./SearchInput-DlyU-0R8.js";
 import { resolveComponent, mergeProps, withCtx, createVNode, toDisplayString, openBlock, createBlock, Fragment, renderList, createCommentVNode, createTextVNode, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderComponent, ssrRenderAttr, ssrInterpolate, ssrRenderList } from "vue/server-renderer";
 import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
diff --git a/bootstrap/ssr/assets/Index-ooULpz_d.js b/bootstrap/ssr/assets/Index-CrPoVHhv.js
similarity index 98%
rename from bootstrap/ssr/assets/Index-ooULpz_d.js
rename to bootstrap/ssr/assets/Index-CrPoVHhv.js
index f1517e4..65e2806 100644
--- a/bootstrap/ssr/assets/Index-ooULpz_d.js
+++ b/bootstrap/ssr/assets/Index-CrPoVHhv.js
@@ -1,6 +1,6 @@
 import { Head, Link } from "@inertiajs/vue3";
-import { I as Icon, L as Layout } from "./Layout-BBEotTc3.js";
-import { T as TaskDetails } from "./TaskDetails-DxzVFsds.js";
+import { I as Icon, L as Layout } from "./Layout-p-cBGERf.js";
+import { T as TaskDetails } from "./TaskDetails-BGOpLfqj.js";
 import { resolveComponent, mergeProps, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderComponent } from "vue/server-renderer";
 import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
diff --git a/bootstrap/ssr/assets/Index-BFs5R_u5.js b/bootstrap/ssr/assets/Index-CtJpjYgi.js
similarity index 99%
rename from bootstrap/ssr/assets/Index-BFs5R_u5.js
rename to bootstrap/ssr/assets/Index-CtJpjYgi.js
index 15f0a7c..99056aa 100644
--- a/bootstrap/ssr/assets/Index-BFs5R_u5.js
+++ b/bootstrap/ssr/assets/Index-CtJpjYgi.js
@@ -1,5 +1,5 @@
 import { Link, Head } from "@inertiajs/vue3";
-import { I as Icon, S as SelectInput, L as Layout } from "./Layout-BBEotTc3.js";
+import { I as Icon, S as SelectInput, L as Layout } from "./Layout-p-cBGERf.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
 import { T as TextInput, L as LoadingButton } from "./LoadingButton-CYW6UWDJ.js";
 import { v4 } from "uuid";
diff --git a/bootstrap/ssr/assets/Index-CKWH860W.js b/bootstrap/ssr/assets/Index-DHH_9WAg.js
similarity index 97%
rename from bootstrap/ssr/assets/Index-CKWH860W.js
rename to bootstrap/ssr/assets/Index-DHH_9WAg.js
index bf3aba2..01678dd 100644
--- a/bootstrap/ssr/assets/Index-CKWH860W.js
+++ b/bootstrap/ssr/assets/Index-DHH_9WAg.js
@@ -1,10 +1,10 @@
 import { Link, Head } from "@inertiajs/vue3";
-import { I as Icon, L as Layout } from "./Layout-BBEotTc3.js";
+import { I as Icon, L as Layout } from "./Layout-p-cBGERf.js";
 import pickBy from "lodash/pickBy.js";
 import throttle from "lodash/throttle.js";
 import mapValues from "lodash/mapValues.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
-import { S as SearchInput } from "./SearchInput-C_XTi4w8.js";
+import { S as SearchInput } from "./SearchInput-DlyU-0R8.js";
 import { resolveComponent, mergeProps, withCtx, createVNode, toDisplayString, createTextVNode, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderList } from "vue/server-renderer";
 import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
diff --git a/bootstrap/ssr/assets/Index-BXdBfNxC.js b/bootstrap/ssr/assets/Index-DYZ0JFAh.js
similarity index 98%
rename from bootstrap/ssr/assets/Index-BXdBfNxC.js
rename to bootstrap/ssr/assets/Index-DYZ0JFAh.js
index 0a24296..6fcd0c8 100644
--- a/bootstrap/ssr/assets/Index-BXdBfNxC.js
+++ b/bootstrap/ssr/assets/Index-DYZ0JFAh.js
@@ -1,10 +1,10 @@
 import { Link, Head } from "@inertiajs/vue3";
-import { I as Icon, L as Layout } from "./Layout-BBEotTc3.js";
+import { I as Icon, L as Layout } from "./Layout-p-cBGERf.js";
 import pickBy from "lodash/pickBy.js";
 import throttle from "lodash/throttle.js";
 import mapValues from "lodash/mapValues.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
-import { S as SearchInput } from "./SearchInput-C_XTi4w8.js";
+import { S as SearchInput } from "./SearchInput-DlyU-0R8.js";
 import { resolveComponent, mergeProps, withCtx, createVNode, toDisplayString, createTextVNode, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderList } from "vue/server-renderer";
 import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
diff --git a/bootstrap/ssr/assets/Index-PGZvGJhm.js b/bootstrap/ssr/assets/Index-m3Tp-Eid.js
similarity index 97%
rename from bootstrap/ssr/assets/Index-PGZvGJhm.js
rename to bootstrap/ssr/assets/Index-m3Tp-Eid.js
index 6a5fb86..af8c6f5 100644
--- a/bootstrap/ssr/assets/Index-PGZvGJhm.js
+++ b/bootstrap/ssr/assets/Index-m3Tp-Eid.js
@@ -1,10 +1,10 @@
 import { Link, Head } from "@inertiajs/vue3";
-import { I as Icon, L as Layout } from "./Layout-BBEotTc3.js";
+import { I as Icon, L as Layout } from "./Layout-p-cBGERf.js";
 import pickBy from "lodash/pickBy.js";
 import throttle from "lodash/throttle.js";
 import mapValues from "lodash/mapValues.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
-import { S as SearchInput } from "./SearchInput-C_XTi4w8.js";
+import { S as SearchInput } from "./SearchInput-DlyU-0R8.js";
 import { resolveComponent, mergeProps, withCtx, createTextVNode, toDisplayString, createVNode, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderList } from "vue/server-renderer";
 import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
diff --git a/bootstrap/ssr/assets/Layout-BBEotTc3.js b/bootstrap/ssr/assets/Layout-p-cBGERf.js
similarity index 99%
rename from bootstrap/ssr/assets/Layout-BBEotTc3.js
rename to bootstrap/ssr/assets/Layout-p-cBGERf.js
index 7574541..03d6b12 100644
--- a/bootstrap/ssr/assets/Layout-BBEotTc3.js
+++ b/bootstrap/ssr/assets/Layout-p-cBGERf.js
@@ -515,13 +515,6 @@ function _sfc_ssrRender$a(_ctx, _push, _parent, _attrs, $props, $setup, $data, $
       class: "iconify iconify--emojione",
       preserveAspectRatio: "xMidYMid meet"
     }, _attrs))}><circle cx="32" cy="32" r="30" fill="#f42f4c"></circle><path fill="#ffe62e" d="M32 39l9.9 7l-3.7-11.4l9.8-7.4H35.8L32 16l-3.7 11.2H16l9.8 7.4L22.1 46z"></path></svg>`);
-  } else if ($props.name === "license") {
-    _push(`<svg${ssrRenderAttrs(mergeProps({
-      width: "200",
-      height: "200",
-      viewBox: "0 0 200 200",
-      xmlns: "http://www.w3.org/2000/svg"
-    }, _attrs))}><path d="M100 10 C120 10 130 30 150 30 C170 30 180 10 190 30 C190 50 170 60 170 80 C170 100 190 110 190 130 C180 150 170 170 150 170 C130 170 120 190 100 190 C80 190 70 170 50 170 C30 170 20 150 10 130 C10 110 30 100 30 80 C30 60 10 50 10 30 C20 10 30 30 50 30 C70 30 80 10 100 10 Z" fill="#FFFFFF" stroke="#000000" stroke-width="4"></path><circle cx="100" cy="90" r="60" fill="#FFFFFF" stroke="#000000" stroke-width="4"></circle><polyline points="65 95 90 120 135 75" fill="none" stroke="#000000" stroke-width="12" stroke-linecap="round" stroke-linejoin="round"></polyline><path d="M70 190 L50 220 L60 220 L80 190 Z" fill="#FFFFFF" stroke="#000000" stroke-width="2"></path><path d="M130 190 L150 220 L140 220 L120 190 Z" fill="#FFFFFF" stroke="#000000" stroke-width="2"></path></svg>`);
   } else {
     _push(`<!---->`);
   }
@@ -617,7 +610,6 @@ const _sfc_main$8 = {
         { "name": "Languages", "route": "languages", "url": "settings/languages", "icon": "edit" },
         { "name": "Email Templates", "route": "templates", "url": "settings/templates", "icon": "email" },
         { "name": "SMTP Mail", "route": "settings.smtp", "url": "settings/smtp", "icon": "email_template" },
-        { "name": "License", "route": "license.settings", "url": "settings/license", "icon": "license" },
         { "name": "Latest Update", "route": "settings.update", "url": "settings/update", "icon": "archive" }
       ],
       enable_option: {}
@@ -1814,7 +1806,6 @@ const _sfc_main = {
     auth: Object
   },
   data() {
-    var _a;
     return {
       creations: [
         { name: "Project", visible: "project_create", icon: "project", condition: !!this.$page.props.auth.user.role.create_project, details: "After creating project, you will be able to manage your tasks on board." },
@@ -1832,7 +1823,7 @@ const _sfc_main = {
       edit_route: "",
       current_page: "dashboard",
       activeTimerString: "",
-      counter: { seconds: 0, timer: ((_a = this.auth) == null ? void 0 : _a.timer) || 0, duration: 0 },
+      counter: { seconds: 0, timer: this.auth.timer, duration: 0 },
       locale: this.$page.props.auth.user.locale,
       dir: ["sa", "he", "ur"].includes(this.$page.props.auth.user.locale) ? "rtl" : "ltr"
     };
diff --git a/bootstrap/ssr/assets/Members-5PVoXO4W.js b/bootstrap/ssr/assets/Members-CynuHBOm.js
similarity index 97%
rename from bootstrap/ssr/assets/Members-5PVoXO4W.js
rename to bootstrap/ssr/assets/Members-CynuHBOm.js
index 357cb6c..54edd21 100644
--- a/bootstrap/ssr/assets/Members-5PVoXO4W.js
+++ b/bootstrap/ssr/assets/Members-CynuHBOm.js
@@ -1,9 +1,9 @@
 import { Head, Link } from "@inertiajs/vue3";
-import { a as InviteWorkspaceMember, b as CreateProject, I as Icon, L as Layout } from "./Layout-BBEotTc3.js";
+import { a as InviteWorkspaceMember, b as CreateProject, I as Icon, L as Layout } from "./Layout-p-cBGERf.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
-import { B as BoardViewMenu } from "./BoardViewMenu-CYRJ-MUD.js";
+import { B as BoardViewMenu } from "./BoardViewMenu-DKT5LdJ5.js";
 import moment from "moment";
-import { S as SearchInput } from "./SearchInput-C_XTi4w8.js";
+import { S as SearchInput } from "./SearchInput-DlyU-0R8.js";
 import mapValues from "lodash/mapValues.js";
 import throttle from "lodash/throttle.js";
 import pickBy from "lodash/pickBy.js";
diff --git a/bootstrap/ssr/assets/Na-BOgyhoT7.js b/bootstrap/ssr/assets/Na-ypSR-hW1.js
similarity index 96%
rename from bootstrap/ssr/assets/Na-BOgyhoT7.js
rename to bootstrap/ssr/assets/Na-ypSR-hW1.js
index 66d924d..1a5a5ba 100644
--- a/bootstrap/ssr/assets/Na-BOgyhoT7.js
+++ b/bootstrap/ssr/assets/Na-ypSR-hW1.js
@@ -1,12 +1,12 @@
 import { Head, Link } from "@inertiajs/vue3";
-import { C as CreateWorkspace, I as Icon, L as Layout } from "./Layout-BBEotTc3.js";
+import { C as CreateWorkspace, I as Icon, L as Layout } from "./Layout-p-cBGERf.js";
 import "lodash/pickBy.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
 import "lodash/mapValues.js";
 import "lodash/throttle.js";
-import { a as BoardFilter, B as BoardViewMenu } from "./BoardViewMenu-CYRJ-MUD.js";
+import { a as BoardFilter, B as BoardViewMenu } from "./BoardViewMenu-DKT5LdJ5.js";
 import moment from "moment";
-import { S as SearchInput } from "./SearchInput-C_XTi4w8.js";
+import { S as SearchInput } from "./SearchInput-DlyU-0R8.js";
 import { resolveComponent, mergeProps, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate } from "vue/server-renderer";
 import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
diff --git a/bootstrap/ssr/assets/PreMadeList-BeTsIjA6.js b/bootstrap/ssr/assets/PreMadeList-pGoPu_-b.js
similarity index 97%
rename from bootstrap/ssr/assets/PreMadeList-BeTsIjA6.js
rename to bootstrap/ssr/assets/PreMadeList-pGoPu_-b.js
index 9219ec7..b43bf5a 100644
--- a/bootstrap/ssr/assets/PreMadeList-BeTsIjA6.js
+++ b/bootstrap/ssr/assets/PreMadeList-pGoPu_-b.js
@@ -1,7 +1,7 @@
 import { Link, Head } from "@inertiajs/vue3";
-import { I as Icon, L as Layout } from "./Layout-BBEotTc3.js";
+import { I as Icon, L as Layout } from "./Layout-p-cBGERf.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
-import { S as SearchInput } from "./SearchInput-C_XTi4w8.js";
+import { S as SearchInput } from "./SearchInput-DlyU-0R8.js";
 import { resolveComponent, mergeProps, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrIncludeBooleanAttr, ssrLooseContain, ssrRenderAttr, ssrRenderList } from "vue/server-renderer";
 import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
diff --git a/bootstrap/ssr/assets/RightMenu-BDzWq2sh.js b/bootstrap/ssr/assets/RightMenu-N02V8jnn.js
similarity index 98%
rename from bootstrap/ssr/assets/RightMenu-BDzWq2sh.js
rename to bootstrap/ssr/assets/RightMenu-N02V8jnn.js
index 4b983b9..37a0706 100644
--- a/bootstrap/ssr/assets/RightMenu-BDzWq2sh.js
+++ b/bootstrap/ssr/assets/RightMenu-N02V8jnn.js
@@ -1,9 +1,9 @@
-import { S as SelectInput, I as Icon } from "./Layout-BBEotTc3.js";
+import { S as SelectInput, I as Icon } from "./Layout-p-cBGERf.js";
 import { Link } from "@inertiajs/vue3";
 import moment from "moment";
-import { T as TaskDetails } from "./TaskDetails-DxzVFsds.js";
+import { T as TaskDetails } from "./TaskDetails-BGOpLfqj.js";
 import axios from "axios";
-import { D as DeleteConfirmation } from "./DeleteConfirmation-DsL8qmE8.js";
+import { D as DeleteConfirmation } from "./DeleteConfirmation-B5REE71A.js";
 import { resolveComponent, withCtx, createVNode, createTextVNode, toDisplayString, openBlock, createBlock, Fragment, renderList, useSSRContext } from "vue";
 import { ssrRenderStyle, ssrRenderComponent, ssrInterpolate, ssrRenderAttr, ssrRenderList, ssrRenderClass, ssrIncludeBooleanAttr, ssrLooseEqual } from "vue/server-renderer";
 import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
diff --git a/bootstrap/ssr/assets/SearchInput-C_XTi4w8.js b/bootstrap/ssr/assets/SearchInput-DlyU-0R8.js
similarity index 96%
rename from bootstrap/ssr/assets/SearchInput-C_XTi4w8.js
rename to bootstrap/ssr/assets/SearchInput-DlyU-0R8.js
index 38f45b7..60bca2f 100644
--- a/bootstrap/ssr/assets/SearchInput-C_XTi4w8.js
+++ b/bootstrap/ssr/assets/SearchInput-DlyU-0R8.js
@@ -1,4 +1,4 @@
-import { D as Dropdown } from "./Layout-BBEotTc3.js";
+import { D as Dropdown } from "./Layout-p-cBGERf.js";
 import { mergeProps, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderAttr, ssrInterpolate } from "vue/server-renderer";
 import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
diff --git a/bootstrap/ssr/assets/Smtp-CyIevMEJ.js b/bootstrap/ssr/assets/Smtp-CH06wneg.js
similarity index 99%
rename from bootstrap/ssr/assets/Smtp-CyIevMEJ.js
rename to bootstrap/ssr/assets/Smtp-CH06wneg.js
index 0ae2217..fd25a81 100644
--- a/bootstrap/ssr/assets/Smtp-CyIevMEJ.js
+++ b/bootstrap/ssr/assets/Smtp-CH06wneg.js
@@ -1,5 +1,5 @@
 import { Link, Head } from "@inertiajs/vue3";
-import { I as Icon, S as SelectInput, L as Layout } from "./Layout-BBEotTc3.js";
+import { I as Icon, S as SelectInput, L as Layout } from "./Layout-p-cBGERf.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
 import { T as TextInput, L as LoadingButton } from "./LoadingButton-CYW6UWDJ.js";
 import axios from "axios";
diff --git a/bootstrap/ssr/assets/Table-DirWxlHE.js b/bootstrap/ssr/assets/Table-CiHtdh8S.js
similarity index 99%
rename from bootstrap/ssr/assets/Table-DirWxlHE.js
rename to bootstrap/ssr/assets/Table-CiHtdh8S.js
index 870774a..5c5c99b 100644
--- a/bootstrap/ssr/assets/Table-DirWxlHE.js
+++ b/bootstrap/ssr/assets/Table-CiHtdh8S.js
@@ -1,15 +1,15 @@
 import { Head, Link } from "@inertiajs/vue3";
-import { I as Icon, L as Layout } from "./Layout-BBEotTc3.js";
+import { I as Icon, L as Layout } from "./Layout-p-cBGERf.js";
 import throttle from "lodash/throttle.js";
 import pickBy from "lodash/pickBy.js";
-import { T as TaskDetails } from "./TaskDetails-DxzVFsds.js";
-import { a as BoardFilter, B as BoardViewMenu } from "./BoardViewMenu-CYRJ-MUD.js";
+import { T as TaskDetails } from "./TaskDetails-BGOpLfqj.js";
+import { a as BoardFilter, B as BoardViewMenu } from "./BoardViewMenu-DKT5LdJ5.js";
 import Datepicker from "@vuepic/vue-datepicker";
 /* empty css              */
 import draggable from "vuedraggable";
 import moment from "moment";
 import mapValues from "lodash/mapValues.js";
-import { R as RightMenu } from "./RightMenu-BDzWq2sh.js";
+import { R as RightMenu } from "./RightMenu-N02V8jnn.js";
 import axios from "axios";
 import { resolveComponent, mergeProps, withCtx, createVNode, toDisplayString, openBlock, createBlock, createCommentVNode, createTextVNode, Fragment, renderList, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderList, ssrRenderAttr, ssrRenderStyle, ssrIncludeBooleanAttr } from "vue/server-renderer";
@@ -20,7 +20,7 @@ import "uuid";
 import "moment-duration-format";
 import "laravel-vue-i18n";
 import "@vueup/vue-quill";
-import "./DeleteConfirmation-DsL8qmE8.js";
+import "./DeleteConfirmation-B5REE71A.js";
 const _sfc_main = {
   metaInfo: { title: "Dashboard" },
   components: { RightMenu, BoardFilter, Head, Icon, Link, draggable, TaskDetails, Datepicker, BoardViewMenu },
diff --git a/bootstrap/ssr/assets/Table-CpK6BLOd.js b/bootstrap/ssr/assets/Table-u5b36lwt.js
similarity index 99%
rename from bootstrap/ssr/assets/Table-CpK6BLOd.js
rename to bootstrap/ssr/assets/Table-u5b36lwt.js
index 7b82d55..825fabd 100644
--- a/bootstrap/ssr/assets/Table-CpK6BLOd.js
+++ b/bootstrap/ssr/assets/Table-u5b36lwt.js
@@ -1,6 +1,6 @@
 import { Head, Link } from "@inertiajs/vue3";
-import { I as Icon, L as Layout } from "./Layout-BBEotTc3.js";
-import { B as BoardViewMenu } from "./BoardViewMenu-CYRJ-MUD.js";
+import { I as Icon, L as Layout } from "./Layout-p-cBGERf.js";
+import { B as BoardViewMenu } from "./BoardViewMenu-DKT5LdJ5.js";
 import Datepicker from "@vuepic/vue-datepicker";
 /* empty css              */
 import draggable from "vuedraggable";
diff --git a/bootstrap/ssr/assets/TaskDetails-DxzVFsds.js b/bootstrap/ssr/assets/TaskDetails-BGOpLfqj.js
similarity index 99%
rename from bootstrap/ssr/assets/TaskDetails-DxzVFsds.js
rename to bootstrap/ssr/assets/TaskDetails-BGOpLfqj.js
index 45369da..c784494 100644
--- a/bootstrap/ssr/assets/TaskDetails-DxzVFsds.js
+++ b/bootstrap/ssr/assets/TaskDetails-BGOpLfqj.js
@@ -1,5 +1,5 @@
 import { Link, Head } from "@inertiajs/vue3";
-import { I as Icon } from "./Layout-BBEotTc3.js";
+import { I as Icon } from "./Layout-p-cBGERf.js";
 import { useSSRContext, mergeProps, resolveComponent } from "vue";
 import { ssrRenderAttrs, ssrRenderStyle, ssrRenderComponent, ssrInterpolate, ssrRenderClass, ssrRenderList, ssrRenderAttr, ssrIncludeBooleanAttr } from "vue/server-renderer";
 import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
diff --git a/bootstrap/ssr/assets/Timer-C2t_8fdI.js b/bootstrap/ssr/assets/Timer-CHNRI2DL.js
similarity index 97%
rename from bootstrap/ssr/assets/Timer-C2t_8fdI.js
rename to bootstrap/ssr/assets/Timer-CHNRI2DL.js
index afb6b0f..0a4aa45 100644
--- a/bootstrap/ssr/assets/Timer-C2t_8fdI.js
+++ b/bootstrap/ssr/assets/Timer-CHNRI2DL.js
@@ -1,12 +1,12 @@
 import { Head, Link } from "@inertiajs/vue3";
-import { I as Icon, L as Layout } from "./Layout-BBEotTc3.js";
+import { I as Icon, L as Layout } from "./Layout-p-cBGERf.js";
 import pickBy from "lodash/pickBy.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
 import mapValues from "lodash/mapValues.js";
 import throttle from "lodash/throttle.js";
-import { a as BoardFilter, B as BoardViewMenu } from "./BoardViewMenu-CYRJ-MUD.js";
+import { a as BoardFilter, B as BoardViewMenu } from "./BoardViewMenu-DKT5LdJ5.js";
 import moment from "moment";
-import { S as SearchInput } from "./SearchInput-C_XTi4w8.js";
+import { S as SearchInput } from "./SearchInput-DlyU-0R8.js";
 import { resolveComponent, mergeProps, withCtx, createTextVNode, toDisplayString, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate, ssrRenderList, ssrRenderAttr } from "vue/server-renderer";
 import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
diff --git a/bootstrap/ssr/assets/Update-nZmGKnDo.js b/bootstrap/ssr/assets/Update-B1p8-iXj.js
similarity index 99%
rename from bootstrap/ssr/assets/Update-nZmGKnDo.js
rename to bootstrap/ssr/assets/Update-B1p8-iXj.js
index 8f73540..084bcb1 100644
--- a/bootstrap/ssr/assets/Update-nZmGKnDo.js
+++ b/bootstrap/ssr/assets/Update-B1p8-iXj.js
@@ -1,5 +1,5 @@
 import { Link, Head } from "@inertiajs/vue3";
-import { I as Icon, S as SelectInput, L as Layout } from "./Layout-BBEotTc3.js";
+import { I as Icon, S as SelectInput, L as Layout } from "./Layout-p-cBGERf.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
 import { T as TextInput, L as LoadingButton } from "./LoadingButton-CYW6UWDJ.js";
 import axios from "axios";
diff --git a/bootstrap/ssr/assets/View-CF27h3zj.js b/bootstrap/ssr/assets/View-DF2Jv8vE.js
similarity index 99%
rename from bootstrap/ssr/assets/View-CF27h3zj.js
rename to bootstrap/ssr/assets/View-DF2Jv8vE.js
index 96a34ac..fe85701 100644
--- a/bootstrap/ssr/assets/View-CF27h3zj.js
+++ b/bootstrap/ssr/assets/View-DF2Jv8vE.js
@@ -1,13 +1,13 @@
 import { Head, Link } from "@inertiajs/vue3";
-import { I as Icon, L as Layout } from "./Layout-BBEotTc3.js";
-import { T as TaskDetails } from "./TaskDetails-DxzVFsds.js";
-import { a as BoardFilter, B as BoardViewMenu } from "./BoardViewMenu-CYRJ-MUD.js";
+import { I as Icon, L as Layout } from "./Layout-p-cBGERf.js";
+import { T as TaskDetails } from "./TaskDetails-BGOpLfqj.js";
+import { a as BoardFilter, B as BoardViewMenu } from "./BoardViewMenu-DKT5LdJ5.js";
 import draggable from "vuedraggable";
 import moment from "moment";
 import throttle from "lodash/throttle.js";
 import pickBy from "lodash/pickBy.js";
 import mapValues from "lodash/mapValues.js";
-import { R as RightMenu } from "./RightMenu-BDzWq2sh.js";
+import { R as RightMenu } from "./RightMenu-N02V8jnn.js";
 import axios from "axios";
 import { resolveComponent, mergeProps, withCtx, createVNode, openBlock, createBlock, createTextVNode, createCommentVNode, Fragment, renderList, toDisplayString, withDirectives, vModelText, vShow, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderComponent, ssrRenderClass, ssrRenderList, ssrInterpolate, ssrRenderAttr, ssrRenderStyle } from "vue/server-renderer";
@@ -20,7 +20,7 @@ import "laravel-vue-i18n";
 import "@vuepic/vue-datepicker";
 /* empty css              */
 import "@vueup/vue-quill";
-import "./DeleteConfirmation-DsL8qmE8.js";
+import "./DeleteConfirmation-B5REE71A.js";
 const _sfc_main = {
   metaInfo: { title: "Dashboard" },
   components: { RightMenu, BoardFilter, Head, Icon, Link, draggable, TaskDetails, BoardViewMenu },
diff --git a/bootstrap/ssr/assets/View-Dfa120tz.js b/bootstrap/ssr/assets/View-HKf_cBnv.js
similarity index 98%
rename from bootstrap/ssr/assets/View-Dfa120tz.js
rename to bootstrap/ssr/assets/View-HKf_cBnv.js
index ce1c5d0..c6408d1 100644
--- a/bootstrap/ssr/assets/View-Dfa120tz.js
+++ b/bootstrap/ssr/assets/View-HKf_cBnv.js
@@ -1,11 +1,11 @@
 import { Head, Link } from "@inertiajs/vue3";
-import { a as InviteWorkspaceMember, b as CreateProject, I as Icon, S as SelectInput, L as Layout } from "./Layout-BBEotTc3.js";
+import { a as InviteWorkspaceMember, b as CreateProject, I as Icon, S as SelectInput, L as Layout } from "./Layout-p-cBGERf.js";
 import { P as Pagination } from "./Pagination-DBkwUgAS.js";
-import { B as BoardViewMenu } from "./BoardViewMenu-CYRJ-MUD.js";
+import { B as BoardViewMenu } from "./BoardViewMenu-DKT5LdJ5.js";
 import moment from "moment";
-import { S as SearchInput } from "./SearchInput-C_XTi4w8.js";
+import { S as SearchInput } from "./SearchInput-DlyU-0R8.js";
 import axios from "axios";
-import { D as DeleteConfirmation } from "./DeleteConfirmation-DsL8qmE8.js";
+import { D as DeleteConfirmation } from "./DeleteConfirmation-B5REE71A.js";
 import { F as FileInput } from "./FileInput-PDHMJZ8j.js";
 import { resolveComponent, resolveDirective, mergeProps, withCtx, openBlock, createBlock, Fragment, renderList, toDisplayString, createVNode, useSSRContext } from "vue";
 import { ssrRenderAttrs, ssrRenderComponent, ssrRenderStyle, ssrInterpolate, ssrGetDirectiveProps, ssrRenderAttr, ssrRenderList, ssrIncludeBooleanAttr } from "vue/server-renderer";
diff --git a/database/migrations/2025_07_13_125057_create_notifications_table.php b/database/migrations/2025_07_13_125057_create_notifications_table.php
new file mode 100644
index 0000000..d738032
--- /dev/null
+++ b/database/migrations/2025_07_13_125057_create_notifications_table.php
@@ -0,0 +1,31 @@
+<?php
+
+use Illuminate\Database\Migrations\Migration;
+use Illuminate\Database\Schema\Blueprint;
+use Illuminate\Support\Facades\Schema;
+
+return new class extends Migration
+{
+    /**
+     * Run the migrations.
+     */
+    public function up(): void
+    {
+        Schema::create('notifications', function (Blueprint $table) {
+            $table->uuid('id')->primary();
+            $table->string('type');
+            $table->morphs('notifiable');
+            $table->text('data');
+            $table->timestamp('read_at')->nullable();
+            $table->timestamps();
+        });
+    }
+
+    /**
+     * Reverse the migrations.
+     */
+    public function down(): void
+    {
+        Schema::dropIfExists('notifications');
+    }
+};
diff --git a/database/migrations/2025_07_13_125237_create_notification_settings_table.php b/database/migrations/2025_07_13_125237_create_notification_settings_table.php
new file mode 100644
index 0000000..e7fb508
--- /dev/null
+++ b/database/migrations/2025_07_13_125237_create_notification_settings_table.php
@@ -0,0 +1,32 @@
+<?php
+
+use Illuminate\Database\Migrations\Migration;
+use Illuminate\Database\Schema\Blueprint;
+use Illuminate\Support\Facades\Schema;
+
+return new class extends Migration
+{
+    /**
+     * Run the migrations.
+     */
+    public function up(): void
+    {
+        Schema::create('notification_settings', function (Blueprint $table) {
+            $table->id();
+            $table->string('name');
+            $table->string('type')->unique()->comment('A unique slug like new_comment');
+            $table->text('description')->nullable();
+            $table->boolean('is_active')->default(true)->comment('Master switch for this notification type');
+            $table->boolean('can_be_emailed')->default(true)->comment('Whether this type supports email');
+            $table->boolean('email_is_active')->default(true)->comment('Master switch for email delivery');
+        });
+    }
+
+    /**
+     * Reverse the migrations.
+     */
+    public function down(): void
+    {
+        Schema::dropIfExists('notification_settings');
+    }
+};
diff --git a/database/seeders/NotificationSettingSeeder.php b/database/seeders/NotificationSettingSeeder.php
new file mode 100644
index 0000000..1b755eb
--- /dev/null
+++ b/database/seeders/NotificationSettingSeeder.php
@@ -0,0 +1,24 @@
+<?php
+
+namespace Database\Seeders;
+
+use Illuminate\Database\Seeder;
+use App\Models\NotificationSetting;
+
+class NotificationSettingSeeder extends Seeder
+{
+    public function run()
+    {
+        NotificationSetting::updateOrCreate(['type' => 'new_comment'], [
+            'name' => 'New Comment on a Task',
+            'description' => 'Notify users when a new comment is added to a task they follow.',
+            'can_be_emailed' => true,
+        ]);
+
+        NotificationSetting::updateOrCreate(['type' => 'user_assigned'], [
+            'name' => 'User Assigned to a Task',
+            'description' => 'Notify a user when they are assigned to a new task.',
+            'can_be_emailed' => true,
+        ]);
+    }
+}
diff --git a/public/build/assets/Pagination-C9LA9YrN.js b/public/build/assets/Pagination-CvoYTEGC.js
similarity index 91%
rename from public/build/assets/Pagination-C9LA9YrN.js
rename to public/build/assets/Pagination-CvoYTEGC.js
index 2935c41..0b3f10f 100644
--- a/public/build/assets/Pagination-C9LA9YrN.js
+++ b/public/build/assets/Pagination-CvoYTEGC.js
@@ -1 +1 @@
-import{i as l,r as c,o as n,c as r,b as i,F as a,p as d,g as m,n as p,h as _}from"./app-DgprvZit.js";import{_ as u}from"./_plugin-vue_export-helper-DlAUqK2U.js";const f={props:{links:Array},components:{Link:l}},x={key:0},b={class:"flex flex-wrap p-nat -mb-1"},h=["innerHTML"];function L(g,k,s,v,y,B){const o=c("Link");return s.links.length>3?(n(),r("div",x,[i("div",b,[(n(!0),r(a,null,d(s.links,(e,t)=>(n(),r(a,null,[e.url===null?(n(),r("div",{key:t,class:"mr-1 mb-1 px-4 py-3 text-sm leading-4 text-gray-400 border rounded",innerHTML:e.label},null,8,h)):(n(),m(o,{key:t+1,class:p(["mr-1 mb-1 px-4 py-3 text-sm leading-4 border rounded",{active:e.active}]),href:e.url,innerHTML:e.label},null,8,["class","href","innerHTML"]))],64))),256))])])):_("",!0)}const T=u(f,[["render",L]]);export{T as P};
+import{i as l,r as c,o as n,c as r,b as i,F as a,p as d,g as m,n as p,h as _}from"./app-3ePTDV-1.js";import{_ as u}from"./_plugin-vue_export-helper-DlAUqK2U.js";const f={props:{links:Array},components:{Link:l}},x={key:0},b={class:"flex flex-wrap p-nat -mb-1"},h=["innerHTML"];function L(g,k,s,v,y,B){const o=c("Link");return s.links.length>3?(n(),r("div",x,[i("div",b,[(n(!0),r(a,null,d(s.links,(e,t)=>(n(),r(a,null,[e.url===null?(n(),r("div",{key:t,class:"mr-1 mb-1 px-4 py-3 text-sm leading-4 text-gray-400 border rounded",innerHTML:e.label},null,8,h)):(n(),m(o,{key:t+1,class:p(["mr-1 mb-1 px-4 py-3 text-sm leading-4 border rounded",{active:e.active}]),href:e.url,innerHTML:e.label},null,8,["class","href","innerHTML"]))],64))),256))])])):_("",!0)}const T=u(f,[["render",L]]);export{T as P};
